# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/ShelveExtension/HgShelvesSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgShelvesSelectionDialog(object):
    def setupUi(self, HgShelvesSelectionDialog):
        HgShelvesSelectionDialog.setObjectName("HgShelvesSelectionDialog")
        HgShelvesSelectionDialog.resize(400, 300)
        HgShelvesSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgShelvesSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.message = QtWidgets.QLabel(parent=HgShelvesSelectionDialog)
        self.message.setText("")
        self.message.setObjectName("message")
        self.verticalLayout.addWidget(self.message)
        self.shelvesList = QtWidgets.QListWidget(parent=HgShelvesSelectionDialog)
        self.shelvesList.setAlternatingRowColors(True)
        self.shelvesList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.shelvesList.setObjectName("shelvesList")
        self.verticalLayout.addWidget(self.shelvesList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgShelvesSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgShelvesSelectionDialog)
        self.buttonBox.accepted.connect(HgShelvesSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgShelvesSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgShelvesSelectionDialog)
        HgShelvesSelectionDialog.setTabOrder(self.shelvesList, self.buttonBox)

    def retranslateUi(self, HgShelvesSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        HgShelvesSelectionDialog.setWindowTitle(_translate("HgShelvesSelectionDialog", "Mercurial Shelve Selection"))
        self.shelvesList.setSortingEnabled(True)
